> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1attachmentsbatch



## OpenAPI

````yaml /api-reference/openapi.json post /v1/attachments/batch
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/attachments/batch:
    post:
      tags:
        - Attachments
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentCreateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentCreateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentCreateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    DTOAttachmentCreateRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        isExistingS3Object:
          type: boolean
        bucketName:
          type: string
          nullable: true
      additionalProperties: false

````